Skip to main content
GET
/
sensor
/
{id}
Get sensor by ID
curl --request GET \
  --url https://api.truecold.io/sensor/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "serial_number": "<string>",
  "model": "<string>",
  "last_event_at": "2023-11-07T05:31:56Z",
  "available": true,
  "soft_deleted": "2023-11-07T05:31:56Z",
  "soft_deleted_by": "<string>",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "battery_level": 123,
  "offline": true,
  "pending_upload_data": true,
  "simulated": true,
  "calibration_date": "2023-11-07T05:31:56Z",
  "device_category": "<string>",
  "target_temperature": 123,
  "ai_energy_optimization": true
}

Documentation Index

Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact your administrator to get an API key.

Path Parameters

id
string
required

Sensor ID

Response

Successfully retrieved sensor

Sensor entity (API response)

id
string<uuid>

Unique identifier

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

provider_id
string<uuid>

Provider ID

account_id
string<uuid>

Account ID

name
string

name name

serial_number
string

Serial Number

model
string

Model

last_event_at
string<date-time>

last event timestamp

available
boolean

Available

soft_deleted
string<date-time>

Soft deletion timestamp

soft_deleted_by
string

User who soft deleted the record

site_id
string<uuid>

Site ID

battery_level
integer

Battery Level

offline
boolean

Offline

pending_upload_data
boolean

Pending Upload Data

simulated
boolean | null

Whether the sensor is simulated

calibration_date
string<date-time> | null

Calibration date

device_category
string | null

Device category

target_temperature
number | null

Target temperature

ai_energy_optimization
boolean | null

AI energy optimization enabled